Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 271477 - net-dialup/wvdial-1.60 fails to compile with sys-libs/glibc-2.10.1
Summary: net-dialup/wvdial-1.60 fails to compile with sys-libs/glibc-2.10.1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Dialup Developers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-2.10
  Show dependency tree
 
Reported: 2009-05-28 01:21 UTC by Mieszko Ślusarczyk
Modified: 2009-06-24 17:56 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (wvdial-1.60.log,13.16 KB, text/plain)
2009-05-28 18:07 UTC, Mieszko Ślusarczyk
Details
Patch to compile wvdial (UNTESTED!) (wvmodemscan.cc.patch,537 bytes, patch)
2009-06-03 21:53 UTC, Mieszko Ślusarczyk
Details | Diff
build.log (build.log,12.25 KB, text/plain)
2009-06-20 17:07 UTC, Dominik Schubert
Details
Reviewed dirent patch (wvdial-1.60-dirent.patch,714 bytes, patch)
2009-06-20 18:56 UTC, Andrey Vihrov
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mieszko Ślusarczyk 2009-05-28 01:21:46 UTC
wvdialer.cc:646: warning: deprecated conversion from string constant to ‘char*’                               
wvdialer.cc:646: warning: deprecated conversion from string constant to ‘char*’                               
wvdialer.cc:646: warning: deprecated conversion from string constant to ‘char*’    wvmodemscan.cc:27: warning: deprecated conversion from string constant to ‘char*’                             
wvmodemscan.cc:27: warning: deprecated conversion from string constant to ‘char*’                             
wvmodemscan.cc:27: warning: deprecated conversion from string constant to ‘char*’                             
wvmodemscan.cc: In constructor ‘WvModemScanList::WvModemScanList(const WvFastString&)’:                       
wvmodemscan.cc:544: error: invalid conversion from ‘int (*)(const void*, const void*)’ to ‘int (*)(const dirent**, const dirent**)’                                                                                         
wvmodemscan.cc:544: error:   initializing argument 4 of ‘int scandir(const char*, dirent***, int (*)(const dirent*), int (*)(const dirent**, const dirent**))’                                                              
make: *** [wvmodemscan.o] Błąd 1

Reproducible: Always
Comment 1 Chad A. Simmons 2009-05-28 17:29:15 UTC
Emerge --info and build.log please.
Comment 2 Mieszko Ślusarczyk 2009-05-28 18:07:52 UTC
Created attachment 192739 [details]
build.log

Portage 2.2_rc33 (default/linux/amd64/2008.0/desktop, gcc-4.3.3, glibc-2.10.1-r0, 2.6.29-zen3 x86_64)
=================================================================                                    
System uname: Linux-2.6.29-zen3-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T8100_@_2.10GHz-with-gentoo-2.0.1  
Timestamp of tree: Thu, 28 May 2009 14:00:17 +0000                                                   
distcc 3.1 x86_64-pc-linux-gnu [enabled]                                                             
ccache version 2.4 [enabled]                                                                         
app-shells/bash:     4.0_p24                                                                         
dev-java/java-config: 2.1.8                                                                          
dev-lang/python:     2.6.2                                                                           
dev-python/pycrypto: 2.0.1-r8                                                                        
dev-util/ccache:     2.4-r8                                                                          
dev-util/cmake:      2.6.4                                                                           
sys-apps/baselayout: 2.0.1                                                                           
sys-apps/openrc:     0.4.3-r5                                                                        
sys-apps/sandbox:    1.9                                                                             
sys-devel/autoconf:  2.13, 2.63-r1                                                                   
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2                                       
sys-devel/binutils:  2.19.1-r1                                                                       
sys-devel/gcc-config: 1.4.1                                                                          
sys-devel/libtool:   2.2.6a                                                                          
virtual/os-headers:  2.6.29                                                                          
ACCEPT_KEYWORDS="amd64 ~amd64"                                                                       
CBUILD="x86_64-pc-linux-gnu"                                                                         
CFLAGS="-march=core2 -msse4.1 -O2 -fno-reorder-blocks -fno-reorder-functions  -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"                                                                              
CONFIG_PROTECT="/etc /etc/entropy /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/skel /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"                                                                                               
CXXFLAGS="-march=core2 -msse4.1 -O2 -fno-reorder-blocks -fno-reorder-functions  -pipe -fomit-frame-pointer"                                                      
DISTDIR="/usr/portage/distfiles"                                                                                                                                 
FEATURES="ccache distcc distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"                       
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"                                                            
LANG="pl_PL.utf8"                                                                                                                                                
LC_ALL="pl_PL.UTF8"                                                                                                                                              
LDFLAGS="-Wl,-O1"                                                                                                                                                
LINGUAS="pl de en"                                                                                                                                               
MAKEOPTS="-s -j5"                                                                                                                                                
PKGDIR="/usr/portage/packages"                                                                                                                                   
PORTAGE_CONFIGROOT="/"                                                                                                                                           
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"                                                                                                                                    
PORTAGE_TMPDIR="/var/tmp"                                                                                                                                        
PORTDIR="/usr/portage"                                                                                                                                           
PORTDIR_OVERLAY="/usr/local/portage/layman/4nykey /usr/local/portage/layman/Spring /usr/local/portage/layman/gimpel /usr/local/portage/layman/enlightenment /usr/local/portage/layman/gnome /usr/local/portage/layman/kde-testing /usr/local/portage/layman/perl-experimental /usr/local/portage/layman/pro-audio /usr/local/portage/layman/spitfire-overlay /usr/local/portage/layman/sunrise /usr/local/portage/layman/sunrise /usr/local/portage/layman/rbu /usr/local/portage/layman/rbu /usr/local/portage/layman/x11 /usr/local/portage/layman/x11 /usr/local/portage/layman/qting-edge /usr/local/portage/layman/qting-edge /usr/local/portage/layman/THE /usr/local/portage/layman/luke-jr /usr/local/portage/layman/sabayon /usr/local/portage/layman/zen-overlay"                                                          
SYNC="rsync://rsync.gentoo.org/gentoo-portage"                                                                                                                   
USE="16bit 32bit 3dnow 64bit 7Zip 7zip X X509 a52 aac aalib accessibility ace acl acpi addressbook aften aiglx aim akode akonadi alac alias alsa amarok amd64 amr amrnb amrwb analogtv anonres ao aotuv ape archive ares artswrappersuid aspell ass async asyncns atm atmo audio audiofile audioscrobbler auth autoipd automount avahi ban bash-completion battery berkdb bidi bittorrent bl bluetooth bonjour bookmarks boost branding bzip2 cairo calendar caps ccache cdaudio cdda cddax cddb cdio cdparanoia cdr cdrtools chm chroot cipher-aes-128 cipher-aes-192 cipher-aes-256 cipher-blowfish cjk clamav cleartype cli clickurl clucene cluster cmdctrl cmdreccmdi18n colors compress compression config_wizard consolekit contrast cpio cpufreq cpusets cracklib crypt css csv cups cupsddk curl curlwrappers custom-cflags custom-cxxflags custom-optimization cutterlimit cutterqueue cuttime cvs cxx daap daemon dar32 dar64 dbox2 dbus dc1394 ddepgentry deltimeshiftrec device-mapper dga dhclient dia dialup digset-md5 digset-ripemd160 digset-sha1 digset-sha256 digset-sha512 dirac directfb disk-partition divx djconsole djvu dlna dmx dnotify dns dnssec dolby-record-switch dolbyinrec double-precision downloadorder dri dssi dts dv dvb dvbplayer dvbsetup dvd dvdarchive dvdchapjump dvdnav dvdr dvdread dvi dvlfriendlyfnames dvlrecscriptaddon dvlvidprefer dynamicplugin eap-tls editor embedded emboss emovix enblend enca encode equalizer esd etc-proposals exif expat experimental extramodules extras faac faad fam fame fasttrack fat fax fb fbcon fbcondecor fbdev fbsplash ffmpeg fftw file firefox firefox3 fits flac flash flatfile fluidsynth flv font-server fontconfig fontforge foomatic-db foomaticdb fortran fpx freesound freetype ftp fuse fusion gadu gammu gcj gd gdbm gecko geoip geolocation ggi ghcbootstrap gif gimp gimpprint git glib glibc-omitfp glitz glut gmail gmedia gmp gnokii gnutella gnutls google google-gadgets gpac gpg gphoto2 gpm gprof gps graphics graphviz groupwise grub gs gsf gsl gsm gstreamer gtk gtkstyle guile guitarhero gutenprint gzip h323 hal hardlinkcutter hdaps hddtemp hdf hdf5 hdri hfs highlight howl-compat hpn http-proxy hunspell hyperestraier hyphenation i18n ibmacpi ical icecast iconv icq id3 id3tag idle ieee1394 ifp image imagemagick imap injection inkjar inotify int64 ipfilter ipod iptc ipv6 irc irda iscsi isdnlog ithreads jabber jack jack-tmpfs java java6 jbig jfs jingle joystick jpeg jpeg2k jpgraph json juju jumpplay kate kcal kde kde4 kdehiddenvisibility kdepim kdm kdrive kerberos kickoff kig-scripting kino kipi kolab konqueror kontact kqemu krb4 kross ktts kvm l7filter ladspa lame laptop lash latex lcd lcms ldap ldap-sasl libass libburn libedit libextractor libffi libgcrypt libgda libgig libmms libmpd libnotify libsamplerate libssh2 libsysfs libv4l2 libvisual liemikuutio lirc lircsettings live livebuffer livejournal lj lm_sensors lnbshare logitech-mouse loop-aes lua lucene lyrics lyrics-screen lzma lzo mad madwifi magic mail mainmenuhooks matroska mbrola md5sum mdnsresponder-compat meanwhile mecab mediaplayer mercurial metalink mh mhash midi mikmod mime mjpeg mmx mmxext mng module modules mono monolithic moonlight mozilla mp2 mp3 mp3rtp mp3tunes mp4 mp4live mpd mpeg mplayer mpls mschap msn msql mssql mtp mudflap multilib multipleip multiprocess musepack music musicbrainz mysql mysqli nas nat ncurses neon netjack netmeeting network networking networkmanager new-login nfqueue nfs nfsexport njb nls noepg nokia6600 normalize nowlistening npp nptl nptlonly nsplugin nspr nss ntfs ntlm ntp nvram obex ocaml ocamlopt ocr odbc ogdi ogg ogm openal openexr openft opengl openid openmp openntpd openssl opensslcrypt opentype openvpn optimize-cflags oscar osdmaxitems otr oxygen pam pango parse-clocks parted pascal pasteafter pcap pcmcia pcre pda pdf perfprofiling perl perl-geoipupdate phonon pipes plasma player plib plotutils plugins png podcast policykit portage portaudio postproc postscript povray powerkadu ppds ppm pppd pptp print priority privacy profile projectx ps pth pulseaudio python python-bindings q16 q32 q8 qalculate qq qt-dbus qt-webkit qt3 qt3support qt4 quicktime quotas radio rar raw rdesktop readline real realcodecs realmedia recode redeyes redland reflection reiser4 reiserfs rememberthemilk remote replaygain resolvconf rotor rsh rss rsync rtc ruby ruby-bindings s3 samba sametime sasl scanner schroedinger scrobbler sdl sdl-image sdl-sound sdlaudio search semantic-desktop sensord sesame2 session settime sftp sha1 sha512 sharedext sharedmem shorten shorturl shout sift silc slang slp smapi smp sms sndfile snmp solver sortrecords soundex soundtouch sourcecaps sox speex spell spl sql sqlite sqlite3 sse sse2 sse3 sse4.1 ssh ssl ssse3 startup-notification stats stream subtitles subversion svg svgz swat swig syncearly sysfs szip taglib tagwriting tcp tcpd templates testbed tga theora threads threadsafe thumbnail tiff tilepath timercmd timerinfo timezone timidity tlen tools tordns totem transcode translator truetype tta ttxt ttxtsubs tunepimp twolame udev unicode unzip upnp usb userlocales uuencode v4l v4l2 validinput vboxwebsrv vcd vcdinfo vcdx vde vdr verbose-build vhook video visualization vlc vnc voice volctrl vorbis vorbis-psy wav wavpack weather web webdav webdav-neon webdav-serf webinterface webkit webpresence wifi winbind wine wininst wireshark wlm wma wmf wmp wps wxwindows x264 xcb xcf xcomposite xfs xine xinerama xinetd xiph xml xmlrpc xmp xorg xpm xprint xrandr xrender xspf xulrunner xv xvid xvmc yahoo zephyr zeroconf zip zlib zope zsh-completion" ALSA_CARDS="emu10k1x darla20 darla24 emu10k1 gina20 gina24 hdsp hdspm ice1712 indigo indigoio layla20 layla24 mia mixart mona pcxhr rme32 rme96 sb16 sbawe sscape usbusx2y vx222 usb-usx2y" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="agfa_cl20 casio_qv dimagev dimera3500 kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica_qm150 panasonic_coolshot panasonic_dc1000 panasonic_dc1580 panasonic_l859 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ricoh_g3 sipix_blink sipix_blink2 sipix_web2 sony_dscf1 sony_dscf55 toshiba_pdrm11 adc65 aox barbie canon clicksmart310 digigr8 digita directory enigma13 fuji gsmart300 hp215 iclick jamcam jd11 konica largan lg_gsm mars mustek pccam300 pccam600 ptp2 ricoh samsung sierra smal sonix soundvision spca50x sq905 stv0674 stv0680 sx330z template topfield jl2005a" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse synaptics void wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="pl de en" USERLAND="GNU" VIDEO_CARDS="fbdev intel vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Mike Auty gentoo-dev 2009-05-30 11:03:59 UTC
Confirming, I can recreate this with much simpler CFLAGS, and it looks very similar to bug 270487.
Comment 4 Mieszko Ślusarczyk 2009-06-03 21:53:21 UTC
Created attachment 193453 [details, diff]
Patch to compile wvdial (UNTESTED!)

I've just received this patch via email, and I'm attaching it here, so that maybe someone can reviev/test it. It's not mine, so don;t blame me if it eats your dog or something;P
Comment 5 Sebastian Günther 2009-06-08 14:12:18 UTC
Unusual patch file, but since this was only one line, I did it with nano.
 Compiles fine now.
Comment 6 PhobosK 2009-06-15 21:23:13 UTC
I confirm this bug. It has been blocking emerge for quite some time now.
Output is the same.
Comment 7 Fabian Fingerle 2009-06-18 15:27:08 UTC
patch works fine, also with net-libs/wvstreams-4.6
Comment 8 PhobosK 2009-06-18 16:49:48 UTC
Yeah I know. Anyway it is a bug that blocks emerging wvdial so it SHOULD be fixed in the main tree... Because users are not supposed to apply patches manually...
Comment 9 Alin Năstac (RETIRED) gentoo-dev 2009-06-20 09:42:42 UTC
Fixed in 1.60-r1. Thanks!
Comment 10 Dominik Schubert 2009-06-20 17:03:52 UTC
1.60-r1 breaks wvdial for me (1.60 worked fine). More specifically, the patch discussed here does.

The error message is:

wvmodemscan.cc: In constructor 'WvModemScanList::WvModemScanList(const WvFastString&)':
wvmodemscan.cc:542: error: invalid conversion from 'int (*)(const dirent**, const dirent**)' to 'int (*)(const void*, const void*)'
wvmodemscan.cc:542: error:   initializing argument 4 of 'int scandir(const char*, dirent***, int (*)(const dirent*), int (*)(const void*, const void*))'
make: *** [wvmodemscan.o] Error 1

emerge --info:

Portage 2.1.6.13 (default/linux/amd64/2008.0, gcc-4.3.2, glibc-2.8_p20080602-r1, 2.6.29-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.29-gentoo-r5-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T7300_@_2.00GHz-with-glibc2.2.5
Timestamp of tree: Sat, 20 Jun 2009 16:15:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 2.1.7
dev-lang/python:     2.5.4-r2
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.29
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo "
LANG="C"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/sunrise /usr/local/portage/layman/pro-audio /usr/local/portage/layman/wschlich-testing /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi aim alsa amd64 apache2 avahi bash-completion berkdb bluebooth bluetooth bzip2 cairo caps cddb cdparanoia cdr cgi cli cracklib crypt css cups curl cvs dbus dri dssi dts dv dvb dvd dvdr dvdread emacs encode esd evo exif fam fastcgi ffmpeg flac fluidsynth fortran ftp gdbm gif gnome gnutls gphoto2 gpm gps gstreamer gtk hal iconv icq imap ipod ipv6 irda isdnlog jack java6 jpeg jpeg2k ladspa lame lash lcms libnotify lm_sensors mad matroska midi mikmod mime mmx mp3 mpeg mudflap multilib musepack mysql mysqli ncurses nls nptl nptlonly ogg openal openexr opengl openmp pam pcre pdf perl png pppd pulseaudio python quicktime readline reflection rss samba session socks5 speex spell spl sse sse2 ssl svg sysfs tcpd theora tiff timidity truetype unicode vorbis vst wmf x264 xorg xulrunner xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev mouse keyboard wacom synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="intel"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 11 Dominik Schubert 2009-06-20 17:07:33 UTC
Created attachment 195291 [details]
build.log
Comment 12 Andrey Vihrov 2009-06-20 18:56:38 UTC
Created attachment 195299 [details, diff]
Reviewed dirent patch

Breaks for me on stable amd64 too. This is because glibc 2.8 still declares 4th parameter of scandir as int (*)(const void *, const void *).

The patch attached makes the use of new code conditional. Tested with 2.8, can't test with 2.10.
Comment 13 Alin Năstac (RETIRED) gentoo-dev 2009-06-20 21:00:21 UTC
Fixed in cvs w/o revision bump. Thanks for the patch update! 

As a side note, you should update your system. My box has ACCEPT_KEYWORDS=amd64 and it has glibc-2.10.1 on it (I've updated my system a few days ago).